Settings
Retrieve Settings
List the project settings.
Query Parameters
A limit on the number of objects that are returned.
How many items to skip when fetching data.
What metadata to return in the response.
Cursor for use in pagination. Often used in combination with limit.
Responses
Unique identifier for the setting.
Name of the project, shown in the Data Studio.
The url of the project. Link to the (public) website that goes with this project.
The brand color of the project.
The logo of the project. Many-to-one to files.
The foreground of the project. Many-to-one to files.
Note rendered on the public pages of the app.
Allowed authentication login attempts before the user's status is set to blocked.
Authentication password policy. What regex passwords must pass in order to be valid.
If the transform endpoints are allowed to be used on the assets endpoint. One of all, none or presets.
What preset keys exist in the assets endpoint.
Key for the asset. Used in the assets endpoint.
Whether to crop the thumbnail to match the size, or maintain the aspect ratio.
Width of the thumbnail.
Height of the thumbnail.
No image upscale
Quality of the compression used.
Reformat output image
Additional transformations to apply
The Sharp method name
A list of arguments to pass to the Sharp method
A JSON representation of the argument value
CSS rules to override the App's default styling.
Folder for uploaded files. Does not affect existing files.
Custom tiles to overriding the Mapbox defaults.
Mapbox Access Token.
What modules are enabled/added globally.
Descriptor of the project, shown in the Data Studio.
Custom aspect ratios in the image editor.
Favicon for the Data Studio. Many-to-one to files.
One of auto, light, dark.
Default theme to use in light mode.
Default theme to use in dark mode.
Link to the error report page. This is a template URL that has access to the following object
{
error: {
name?: string;
message?: string;
};
route: {
fullPath: string;
hash: string;
name: string;
path: string;
query: string;
};
navigator: {
language: string;
userAgent: string;
};
user: {
id?: string | number;
first_name?: string;
last_name?: string;
title?: string;
description?: string;
location?: string;
status?: string;
};
role: {
id?: string;
name?: string;
};
}
Link to the bug report page.
Link to the feature request page.
OpenAI API key used for AI features. Stored hashed.
List of OpenAI model IDs permitted for use in the AI assistant.
Anthropic API key used for AI features. Stored hashed.
List of Anthropic model IDs permitted for use in the AI assistant.
Google AI API key used for AI features. Stored hashed.
List of Google model IDs permitted for use in the AI assistant.
Custom system prompt prepended to all AI assistant conversations.
Display name for a custom OpenAI-compatible provider.
Base URL for a custom OpenAI-compatible API endpoint.
API key for the custom OpenAI-compatible provider. Stored hashed.
Additional HTTP headers to include when calling the custom OpenAI-compatible provider.
List of model definitions available from the custom OpenAI-compatible provider.
Whether the MCP (Model Context Protocol) endpoint is enabled.
Whether MCP clients are permitted to perform delete operations.
Collection used to store MCP prompt definitions.
Whether the custom MCP system prompt is enabled.
Custom system prompt injected into MCP sessions.
import { createDirectus, rest, readSettings } from '@directus/sdk';
const client = createDirectus('directus_project_url').with(rest());
const result = await client.request(readSettings());
{
"data": {
"id": 1,
"project_name": "Directus",
"project_url": null,
"project_color": null,
"project_logo": null,
"public_foreground": null,
"public_background": null,
"public_note": null,
"auth_login_attempts": 25,
"storage_asset_transform": "all",
"storage_asset_presets": null,
"basemaps": [],
"module_bar": [],
"custom_aspect_ratios": [],
"theme_light_overrides": {},
"theme_dark_overrides": {},
"ai_openai_allowed_models": [],
"ai_anthropic_allowed_models": [],
"ai_google_allowed_models": [],
"ai_openai_compatible_headers": [
{}
],
"ai_openai_compatible_models": [
{}
]
}
}Update Settings
Update the project settings.
Query Parameters
Control what fields are being returned in the object.
What metadata to return in the response.
Request Body
Unique identifier for the setting.
Name of the project, shown in the Data Studio.
The url of the project. Link to the (public) website that goes with this project.
The brand color of the project.
The logo of the project. Many-to-one to files.
The foreground of the project. Many-to-one to files.
Note rendered on the public pages of the app.
Allowed authentication login attempts before the user's status is set to blocked.
Authentication password policy. What regex passwords must pass in order to be valid.
If the transform endpoints are allowed to be used on the assets endpoint. One of all, none or presets.
What preset keys exist in the assets endpoint.
Key for the asset. Used in the assets endpoint.
Whether to crop the thumbnail to match the size, or maintain the aspect ratio.
Width of the thumbnail.
Height of the thumbnail.
No image upscale
Quality of the compression used.
Reformat output image
Additional transformations to apply
The Sharp method name
A list of arguments to pass to the Sharp method
A JSON representation of the argument value
CSS rules to override the App's default styling.
Folder for uploaded files. Does not affect existing files.
Custom tiles to overriding the Mapbox defaults.
Mapbox Access Token.
What modules are enabled/added globally.
Descriptor of the project, shown in the Data Studio.
Custom aspect ratios in the image editor.
Favicon for the Data Studio. Many-to-one to files.
One of auto, light, dark.
Default theme to use in light mode.
Default theme to use in dark mode.
Link to the error report page. This is a template URL that has access to the following object
{
error: {
name?: string;
message?: string;
};
route: {
fullPath: string;
hash: string;
name: string;
path: string;
query: string;
};
navigator: {
language: string;
userAgent: string;
};
user: {
id?: string | number;
first_name?: string;
last_name?: string;
title?: string;
description?: string;
location?: string;
status?: string;
};
role: {
id?: string;
name?: string;
};
}
Link to the bug report page.
Link to the feature request page.
OpenAI API key used for AI features. Stored hashed.
List of OpenAI model IDs permitted for use in the AI assistant.
Anthropic API key used for AI features. Stored hashed.
List of Anthropic model IDs permitted for use in the AI assistant.
Google AI API key used for AI features. Stored hashed.
List of Google model IDs permitted for use in the AI assistant.
Custom system prompt prepended to all AI assistant conversations.
Display name for a custom OpenAI-compatible provider.
Base URL for a custom OpenAI-compatible API endpoint.
API key for the custom OpenAI-compatible provider. Stored hashed.
Additional HTTP headers to include when calling the custom OpenAI-compatible provider.
List of model definitions available from the custom OpenAI-compatible provider.
Whether the MCP (Model Context Protocol) endpoint is enabled.
Whether MCP clients are permitted to perform delete operations.
Collection used to store MCP prompt definitions.
Whether the custom MCP system prompt is enabled.
Custom system prompt injected into MCP sessions.
Responses
Unique identifier for the setting.
Name of the project, shown in the Data Studio.
The url of the project. Link to the (public) website that goes with this project.
The brand color of the project.
The logo of the project. Many-to-one to files.
The foreground of the project. Many-to-one to files.
Note rendered on the public pages of the app.
Allowed authentication login attempts before the user's status is set to blocked.
Authentication password policy. What regex passwords must pass in order to be valid.
If the transform endpoints are allowed to be used on the assets endpoint. One of all, none or presets.
What preset keys exist in the assets endpoint.
Key for the asset. Used in the assets endpoint.
Whether to crop the thumbnail to match the size, or maintain the aspect ratio.
Width of the thumbnail.
Height of the thumbnail.
No image upscale
Quality of the compression used.
Reformat output image
Additional transformations to apply
The Sharp method name
A list of arguments to pass to the Sharp method
A JSON representation of the argument value
CSS rules to override the App's default styling.
Folder for uploaded files. Does not affect existing files.
Custom tiles to overriding the Mapbox defaults.
Mapbox Access Token.
What modules are enabled/added globally.
Descriptor of the project, shown in the Data Studio.
Custom aspect ratios in the image editor.
Favicon for the Data Studio. Many-to-one to files.
One of auto, light, dark.
Default theme to use in light mode.
Default theme to use in dark mode.
Link to the error report page. This is a template URL that has access to the following object
{
error: {
name?: string;
message?: string;
};
route: {
fullPath: string;
hash: string;
name: string;
path: string;
query: string;
};
navigator: {
language: string;
userAgent: string;
};
user: {
id?: string | number;
first_name?: string;
last_name?: string;
title?: string;
description?: string;
location?: string;
status?: string;
};
role: {
id?: string;
name?: string;
};
}
Link to the bug report page.
Link to the feature request page.
OpenAI API key used for AI features. Stored hashed.
List of OpenAI model IDs permitted for use in the AI assistant.
Anthropic API key used for AI features. Stored hashed.
List of Anthropic model IDs permitted for use in the AI assistant.
Google AI API key used for AI features. Stored hashed.
List of Google model IDs permitted for use in the AI assistant.
Custom system prompt prepended to all AI assistant conversations.
Display name for a custom OpenAI-compatible provider.
Base URL for a custom OpenAI-compatible API endpoint.
API key for the custom OpenAI-compatible provider. Stored hashed.
Additional HTTP headers to include when calling the custom OpenAI-compatible provider.
List of model definitions available from the custom OpenAI-compatible provider.
Whether the MCP (Model Context Protocol) endpoint is enabled.
Whether MCP clients are permitted to perform delete operations.
Collection used to store MCP prompt definitions.
Whether the custom MCP system prompt is enabled.
Custom system prompt injected into MCP sessions.
import { createDirectus, rest, updateSettings } from '@directus/sdk';
const client = createDirectus('directus_project_url').with(rest());
const result = await client.request(updateSettings(settings_object));
{
"data": {
"id": 1,
"project_name": "Directus",
"project_url": null,
"project_color": null,
"project_logo": null,
"public_foreground": null,
"public_background": null,
"public_note": null,
"auth_login_attempts": 25,
"storage_asset_transform": "all",
"storage_asset_presets": null,
"basemaps": [],
"module_bar": [],
"custom_aspect_ratios": [],
"theme_light_overrides": {},
"theme_dark_overrides": {},
"ai_openai_allowed_models": [],
"ai_anthropic_allowed_models": [],
"ai_google_allowed_models": [],
"ai_openai_compatible_headers": [
{}
],
"ai_openai_compatible_models": [
{}
]
}
}